Name:		kalimat
Version:	1.0r277
Release:	4%{?dist}
Summary:	An Arabic Programming Language
Summary(ar):	لغة برمجة عربية
License:	Apachev2
Url:		http://www.kalimat-lang.com
Source0:	%{name}-%{version}.tgz
Source1:	kalimat-logo.png
Source2:	kalimat.desktop
Source3:	examples.tgz
Source4:	x-kalimat.xml
Patch0:		fixes.patch

BuildRequires:	desktop-file-utils
BuildRequires:	qt-devel libffi-devel ImageMagick
BuildRequires:	ImageMagick
BuildRequires:	libffi-devel

Requires:	libffi
Requires:	qt

%description
Kalimat is an educational programming language for Arabic-speaking children.
It aims for readability and an easy to understand syntax while providing enough
features to allow for complex, interesting and fun programs. 

%description -l ar
كلمات هي لغة برمجة تعليمية للأطفال الناطقين بالعربية. تنمي القدرة
لديهم على قراءة وفهم الصيغ البرمجية، وتصميم برامج ممتعة ومثيرة.

%prep
%setup -q
tar -vxzf ${RPM_SOURCE_DIR}/examples.tgz
%patch0
cp ${RPM_SOURCE_DIR}/kalimat.desktop ${RPM_SOURCE_DIR}/kalimat-logo.png ${RPM_SOURCE_DIR}/x-kalimat.xml ./


%build
cd kalimat
qmake-qt4
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/192x192/apps/
install -D -m 0755 kalimat/kalimat %{buildroot}%{_bindir}/%{name}
cp -a stdlib %{buildroot}%{_datadir}/%{name}
cp -a examples %{buildroot}%{_datadir}/%{name}
cp kalimat-logo.png %{buildroot}%{_datadir}/icons/hicolor/192x192/apps/
cp -a x-kalimat.xml %{buildroot}%{_datadir}/%{name}
#cp -a kalimat.desktop %{buildroot}%{_datadir}/%{name}
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications kalimat.desktop

# Install icon
for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert -size 158x105 kalimat-logo.png -resize ${res} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps/kalimat-logo.png
done




# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-1-8
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Arabic programmic language</summary>
  <summary xml:lang="ar">لغة برمجة عربية</summary>
  <description>
    <p>
	Kalimat is an educational programming language for Arabic-speaking children.
	It aims for readability and an easy to understand syntax while providing enough
	features to allow for complex, interesting and fun programs. 
    </p>
  </description>
  <description xml:lang="ar">
    <p>
	كلمات هي لغة برمجة تعليمية للأطفال الناطقين بالعربية. تنمي القدرة
	لديهم على قراءة وفهم الصيغ البرمجية، وتصميم برامج ممتعة ومثيرة.
    </p>
  </description>
  <url type="homepage">http://www.kalimat-lang.com</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF






%post
xdg-mime install %{_datadir}/%{name}/x-kalimat.xml
update-desktop-database 

%postun
xdg-mime uninstall %{_datadir}/%{name}/x-kalimat.xml
update-desktop-database


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/kalimat.desktop
%{_datadir}/icons/hicolor/*/apps/kalimat-logo.png
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Mon Jan 9 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.0r277-4
- Genera revision
- Add Appdata
- Fix copr unbuilding

* Wed Jun 12 2013 Kefah T. Issa <kefah.issa@gmail.com> - 1.0.227-3
- Enabled file extension association with .k

* Mon Jun 10 2013 Kefah T. Issa <kefah.issa@gmail.com> - 1.0-277-2
- Added examples
- Removed the Go-get-update from website in the IDE UI.

* Wed Jun 5 2013 Kefah T. Issa <kefah.issa@gmail.com> - 1.0-277
- Initial package
